curl --request POST \
--url https://app.sideshift.app/api/v1/scrape/tiktok/stories \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "107955",
"cursor": "0"
}
'import requests
url = "https://app.sideshift.app/api/v1/scrape/tiktok/stories"
payload = {
"user_id": "107955",
"cursor": "0"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '107955', cursor: '0'})
};
fetch('https://app.sideshift.app/api/v1/scrape/tiktok/stories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cursor": null,
"has_more": false,
"unique_id": null,
"user_id": "107955",
"aweme_list": []
},
"request_id": "req_8f3c9a2b1d4e6f70",
"upstream_calls": 1,
"meta": {
"credits_charged": 1,
"credits_remaining": 9998
}
}{
"error": "INVALID_INPUT",
"message": "Invalid request body.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UNAUTHORIZED",
"message": "Invalid scraper API key.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INSUFFICIENT_SCRAPER_CREDITS",
"message": "Insufficient scraper credits.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "RESOURCE_NOT_FOUND",
"message": "Requested resource not found or unavailable.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "PAYLOAD_TOO_LARGE",
"message": "Request body must be 32KB or smaller.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "SCRAPER_RATE_LIMITED",
"message": "Scraper API rate limit exceeded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INTERNAL_ERROR",
"message": "Request failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_ERROR",
"message": "Data source failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_TIMEOUT",
"message": "Data source timed out. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}A creator’s currently-live stories (they expire after 24h). Platform field names are preserved inside data. Billing: 1 SideShift credit per completed lookup.
Body
Creator's username/handle — resolved to a user id for you. Pass user_id directly when you have it to skip the lookup. Accepted alias group: handle or unique_id.
Creator's username/handle — resolved to a user id for you. Pass user_id directly when you have it to skip the lookup. Accepted alias group: handle or unique_id.
Numeric TikTok user id
Pagination cursor — echo back the cursor from the previous response. Omit it for the first page.. Creators with many live stories span several pages.
Response
Completed lookup. 1 SideShift credit.
TikTok platform data payload. Field names and nesting are preserved.
Show child attributes
Show child attributes
SideShift request id. Include it in support requests.
Number of data-source lookups performed.
1 Per-request credit accounting (also surfaced in the X-Scraper-Credits-* response headers).
Show child attributes
Show child attributes